Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1558015 - ceph not exposing asok files via /var/run therefor collectd won't be able to load ceph plugin.
Summary: ceph not exposing asok files via /var/run therefor collectd won't be able to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Pradeep Kilambi
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On: 1563280
Blocks: 1516285
TreeView+ depends on / blocked
 
Reported: 2018-03-19 12:39 UTC by Leonid Natapov
Modified: 2018-10-10 19:46 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-0.20180414062830.5f869f2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:47:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 558209 None master: MERGED tripleo-heat-templates: Collectd needs access to /var/run/ceph to load the ceph plugin (I8ae19232a24a71c04513112446a345c... 2018-04-19 14:29:01 UTC
OpenStack gerrit 558563 None stable/queens: MERGED tripleo-heat-templates: Collectd needs access to /var/run/ceph to load the ceph plugin (I8ae19232a24a71c04513112446a345c... 2018-04-19 14:28:56 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:49:05 UTC

Description Leonid Natapov 2018-03-19 12:39:43 UTC
Description of problem:

ceph not exposing asok files  via /var/run therefor collectd won't be able to load ceph plugin.

collect ceph plugin is using asok file in the plugin configuration file.

" SocketPath "/var/run/ceph/ceph-osd.0.asok "

If asok file not accessible collect won't be able to load ceph plugin.

Comment 2 Giulio Fidente 2018-04-03 14:01:48 UTC
I think this will only work if the Ceph container mounts the dir on start, otherwise the socket is still only visible within the container. Will investigate with ceph-ansible team.

Comment 4 Leonid Natapov 2018-05-30 07:31:29 UTC
asok files exposed.

Comment 6 errata-xmlrpc 2018-06-27 13:47:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.